OpenTTD Source: SocialIntegrationFileScanner Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions
SocialIntegrationFileScanner Class Reference

Helper for scanning for files with SocialIntegration as extension. More...

Inheritance diagram for SocialIntegrationFileScanner:

## Public Member Functions
void | Scan ()
bool | AddFile (const std::string &filename, size_t basepath_length, const std::string &) override
| Add a file with the given filename.

## Additional Inherited Members
Private Member Functions inherited from FileScanner
virtual | ~FileScanner ()=default
| Destruct the proper one...
uint | Scan (std::string_view extension, Subdirectory sd, bool tars=true, bool recursive=true)
| Scan for files with the given extension in the given search path.
uint | Scan (std::string_view extension, const std::string &directory, bool recursive=true)
| Scan for files with the given extension in the given search path.
Private Attributes inherited from FileScanner
Subdirectory | subdir
| The current sub directory we are searching through.

## Detailed Description

Helper for scanning for files with SocialIntegration as extension.

Definition at line 54 of file social_integration.cpp.

## Member Function Documentation

## ◆ AddFile()

bool SocialIntegrationFileScanner::AddFile | ( | const std::string & | filename,
|  | size_t | basepath_length,
|  | const std::string & | tar_filename
| ) |  |
| inlineoverridevirtual

Add a file with the given filename.

Parameters

  filename | the full path to the file to read
  basepath_length | amount of characters to chop of before to get a filename relative to the search path.
  tar_filename | the name of the tar file the file is read from.

Returns
  true if the file is added.

Implements FileScanner.

Definition at line 69 of file social_integration.cpp.

References _loaded_social_platform, _plugins, Debug, SocialIntegrationPlugin::DUPLICATE, SocialIntegrationPlugin::FAILED, SocialIntegrationPlugin::PLATFORM_NOT_RUNNING, SocialIntegrationPlugin::RUNNING, and SocialIntegrationPlugin::UNSUPPORTED_API.

## ◆ Scan()

void SocialIntegrationFileScanner::Scan | ( |  | ) |
| inline

Definition at line 56 of file social_integration.cpp.

The documentation for this class was generated from the following file:

- src/social_integration.cpp